opus_errorcodes(3)

NAME
opus_errorcodes

SYNOPSIS

  Macros

#define OPUS_OK
No error.
#define OPUS_BAD_ARG
One or more invalid/out of range arguments.
#define OPUS_BUFFER_TOO_SMALL
Not enough bytes allocated in the buffer.
#define OPUS_INTERNAL_ERROR
An internal error was detected.
#define OPUS_INVALID_PACKET
The compressed data passed is corrupted.
#define OPUS_UNIMPLEMENTED
Invalid/unsupported request number.
#define OPUS_INVALID_STATE
An encoder or decoder structure is invalid or already freed.
#define OPUS_ALLOC_FAIL
Memory allocation has failed.

Detailed Description

Macro Definition Documentation

  #define OPUS_ALLOC_FAIL

Memory allocation has failed.

  #define OPUS_BAD_ARG

One or more invalid/out of range arguments.

  #define OPUS_BUFFER_TOO_SMALL

Not enough bytes allocated in the buffer.

  #define OPUS_INTERNAL_ERROR

An internal error was detected.

  #define OPUS_INVALID_PACKET

The compressed data passed is corrupted.

  #define OPUS_INVALID_STATE

An encoder or decoder structure is invalid or already freed.

  #define OPUS_OK

No error.

  #define OPUS_UNIMPLEMENTED

Invalid/unsupported request number.

Author

Generated automatically by Doxygen for Opus from the source code.